# ``twisted`.`application`.`reactors``

module documentation
(source)

Plugin-based system for enumerating available reactors and installing one of them.

Interface | `IReactorInstaller` | Definition of a reactor which can probably be installed.
Class | `NoSuchReactor` | Raised when an attempt is made to install a reactor which cannot be found.
Class | `Reactor` |
Function | `getReactorTypes` | Return an iterator of `IReactorInstaller` plugins.
Function | `installReactor` | Install the reactor with the given `shortName` attribute.

def getReactorTypes(): (source)
Return an iterator of `IReactorInstaller` plugins.

Returns
`Iterable[IReactorInstaller]` | Undocumented

def installReactor(shortName): (source)
Install the reactor with the given `shortName` attribute.

Parameters
shortName:`str` | Undocumented
Returns
`IReactorCore` | Undocumented
Raises
`NoSuchReactor` | If no reactor is found with a matching `shortName`.
`Exception` | Anything that the specified reactor can raise when installed.